.plat{
    display: flex;
    flex-wrap: nowrap;
    align-items: stretch;
    width: 100%;
    border-radius: 1.3rem;
    box-shadow: $shadow;
    background-color: $color-white;
    overflow: hidden;
    position: relative;
    &__infos{
        flex: 1;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        padding: 1rem 0rem 1rem 1rem;
        line-height: 2.5rem;
        position: relative;
        strong{ // title
            width: 100%;
            font-size: 1.7rem;
            font-weight: 700;
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
            &::first-letter{
                text-transform: capitalize;
            } 
        }
        span{ //desc
            width:80%;
            font-weight: 300;
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
            &::first-letter{
                text-transform: capitalize;
            } 
        }
        b{ // tarif
            width: auto;
            font-weight: 700;
            text-align: center;
            margin-right: 2rem;
        }
    }
    &__btn{
        background:$color-tertiaire;
        width: 0rem;
        min-height: 100%;
        overflow: hidden;
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        transition: width 500ms ease-in-out;
        span{
            font-size: 1.6rem;
            padding: .6rem;
            border-radius:50%;
            text-align: center;
            background-color: $color-white;
            color: $color-tertiaire;
            transform: rotate(0deg);
            transition: transform 400ms ease-in;
        }
    }
    &:hover{
        .plat__btn{
            width: 6rem;
            span{
                transform: rotate(360deg);
            }
        }
    }
}